Package com.ads.mm.db.dao

# Enum Class DBEnvironment.DBOperation

java.lang.Object
java.lang.Enum<DBEnvironment.DBOperation>
com.ads.mm.db.dao.DBEnvironment.DBOperation

All Implemented Interfaces:
  `Serializable`, `Comparable<DBEnvironment.DBOperation>`, `Constable`

Enclosing class:
  DBEnvironment

public static enum DBEnvironment.DBOperation extends Enum<DBEnvironment.DBOperation>
These constants are used to specify whether the DBOperation can be an UPDATE, INSERT, VALIDATE, INVALIDATE OR SKIP.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INSERT`
  INSERT is the DBOperation for inserting the new details or in other words any addition of new details.
  `INVALIDATE`
  INVALIDATE is the DBOperation wherein already existed tables or columns can be invalidated so that they will not be saved under that particular Environment.
  `SKIP`
  SKIP is the DBOperation wherein none of the operations are performed upon them.
  `UPDATE`
  UPDATE is the DBOperation for updating the existing details or in other words any modifications i.e addition or deletion to the existing details.
  `VALIDATE`
  VALIDATE is the DBOperation wherein only the validated tables or columns will be saved for that particular environment.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DBEnvironment.DBOperation`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DBEnvironment.DBOperation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UPDATE

    public static final DBEnvironment.DBOperation UPDATE
    UPDATE is the DBOperation for updating the existing details or in other words any modifications i.e addition or deletion to the existing details.

  - ### INSERT

    public static final DBEnvironment.DBOperation INSERT
    INSERT is the DBOperation for inserting the new details or in other words any addition of new details.

  - ### VALIDATE

    public static final DBEnvironment.DBOperation VALIDATE
    VALIDATE is the DBOperation wherein only the validated tables or columns will be saved for that particular environment.

  - ### INVALIDATE

    public static final DBEnvironment.DBOperation INVALIDATE
    INVALIDATE is the DBOperation wherein already existed tables or columns can be invalidated so that they will not be saved under that particular Environment.

  - ### SKIP

    public static final DBEnvironment.DBOperation SKIP
    SKIP is the DBOperation wherein none of the operations are performed upon them.

- ## Method Details

  - ### values

    public static DBEnvironment.DBOperation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DBEnvironment.DBOperation valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null